"use strict";
(function() {
    tinymce.create("tinymce.plugins.hide_by_comment", {
        init : function(ed, url) { 
            ed.addButton("green", {
                title : "Hide By Comment",
                cmd : "green_command",
                image : "https://cdn3.iconfinder.com/data/icons/letters-and-numbers-1/32/letter_C_blue-128.png"
            });

            ed.addCommand("green_command", function() {
                var selected_text = ed.selection.getContent();
                var return_text = "[aether-hide-by-comment  min_lenght=\"8\" max_lenght=\"30\" anti_spam=\"1\" replacement=\"\"] " + selected_text + " [/aether-hide-by-comment]";
                ed.execCommand("mceInsertContent", 0, return_text);
            });
            
            ed.addButton("red", {
                title : "Hide If Not LogedIn",
                cmd : "red_command",
                image : "https://cdn3.iconfinder.com/data/icons/letters-and-numbers-1/32/letter_N_blue-128.png"
            });

            ed.addCommand("red_command", function() {
                var selected_text = ed.selection.getContent();
                var return_text = "[aether-hide-not-logedin] " + selected_text + " [/aether-hide-not-logedin]";
                ed.execCommand("mceInsertContent", 0, return_text);
            });
            ed.addButton("brown", {
                title : "Hide If LogedIn",
                cmd : "brown_command",
                image : "https://cdn3.iconfinder.com/data/icons/letters-and-numbers-1/32/letter_L_blue-128.png"
            });

            ed.addCommand("brown_command", function() {
                var selected_text = ed.selection.getContent();
                var return_text = "[aether-hide-logedin] " + selected_text + " [/aether-hide-logedin]";
                ed.execCommand("mceInsertContent", 0, return_text);
            });
            ed.addButton("blue", {
                title : "Hide By Time",
                cmd : "blue_command",
                image : "https://cdn3.iconfinder.com/data/icons/letters-and-numbers-1/32/letter_T_blue-128.png"
            });

            ed.addCommand("blue_command", function() {
                var selected_text = ed.selection.getContent();
                var return_text = "[aether-hide-by-time show=\"2017-01-01\" hide=\"2018-01-01\" replacement=\"\"] " + selected_text + " [/aether-hide-by-time]";
                ed.execCommand("mceInsertContent", 0, return_text);
            });
            ed.addButton("yellow", {
                title : "Hide By Time Repeated",
                cmd : "yellow_command",
                image : "https://cdn3.iconfinder.com/data/icons/letters-and-numbers-1/32/letter_R_blue-128.png"
            });

            ed.addCommand("yellow_command", function() {
                var selected_text = ed.selection.getContent();
                var return_text = "[aether-hide-by-time-repeated type=\"annually\" onmonth=\"December\" ondate=\"24\" offmonth=\"January\" offdate=\"05\" ontime=\"17:00:00\" offtime=\"08:00:00\" replacement=\"\"] " + selected_text + " [/aether-hide-by-time-repeated]";
                ed.execCommand("mceInsertContent", 0, return_text);
            });
            ed.addButton("black", {
                title : "Hide If Mobile",
                cmd : "black_command",
                image : "https://cdn3.iconfinder.com/data/icons/letters-and-numbers-1/32/letter_M_blue-128.png"
            });

            ed.addCommand("black_command", function() {
                var selected_text = ed.selection.getContent();
                var return_text = "[aether-hide-mobile replacement=\"\"] " + selected_text + " [/aether-hide-mobile]";
                ed.execCommand("mceInsertContent", 0, return_text);
            });
            ed.addButton("new", {
                title : "Hide If Browser",
                cmd : "new_command",
                image : "https://cdn3.iconfinder.com/data/icons/letters-and-numbers-1/32/letter_B_blue-128.png"
            });

            ed.addCommand("new_command", function() {
                var selected_text = ed.selection.getContent();
                var return_text = "[aether-hide-by-browser show_on='chrome' replacement=\"\"] " + selected_text + " [/aether-hide-by-browser]";
                ed.execCommand("mceInsertContent", 0, return_text);
            });
            ed.addButton("new1", {
                title : "Hide If User Name",
                cmd : "new1_command",
                image : "https://cdn3.iconfinder.com/data/icons/letters-and-numbers-1/32/letter_F_blue-128.png"
            });

            ed.addCommand("new1_command", function() {
                var selected_text = ed.selection.getContent();
                var return_text = "[aether-hide-by-user-name user_names='myusername' replacement=\"\"] " + selected_text + " [/aether-hide-by-user-name]";
                ed.execCommand("mceInsertContent", 0, return_text);
            });
            ed.addButton("new2", {
                title : "Hide If User Role",
                cmd : "new2_command",
                image : "https://cdn3.iconfinder.com/data/icons/letters-and-numbers-1/32/letter_E_blue-128.png"
            });

            ed.addCommand("new_command2", function() {
                var selected_text = ed.selection.getContent();
                var return_text = "[aether-hide-by-user-role user_roles='administrator' replacement=\"\"] " + selected_text + " [/aether-hide-by-user-role]";
                ed.execCommand("mceInsertContent", 0, return_text);
            });
            ed.addButton("new3", {
                title : "Hide If Country",
                cmd : "new3_command",
                image : "https://cdn3.iconfinder.com/data/icons/letters-and-numbers-1/32/letter_G_blue-128.png"
            });

            ed.addCommand("new3_command", function() {
                var selected_text = ed.selection.getContent();
                var return_text = "[aether-hide-by-country user_countries='United States' replacement=\"\"] " + selected_text + " [/aether-hide-by-country]";
                ed.execCommand("mceInsertContent", 0, return_text);
            });
            ed.addButton("newx", {
                title : "Hide If Referral",
                cmd : "newx_command",
                image : "https://cdn3.iconfinder.com/data/icons/letters-and-numbers-1/32/letter_R_blue-128.png"
            });
            ed.addCommand("newx_command", function() {
                var selected_text = ed.selection.getContent();
                var return_text = "[aether-hide-by-referrer user_referrer=\"https://www.facebook.com/\" replacement=\"\"]" + selected_text + "[/aether-hide-by-referrer]";
                ed.execCommand("mceInsertContent", 0, return_text);
            });
        },
        createControl : function(n, cm) {
            return null;
        },
        getInfo : function() {
            return {
                longname : "Extra Buttons",
                author : "CodeRevolution",
                version : "1.0"
            };
        }
    });
    tinymce.PluginManager.add("hide_by_comment", tinymce.plugins.hide_by_comment);
})();