"use strict";
var { registerBlockType } = wp.blocks;
var gcel = wp.element.createElement;

registerBlockType( 'aether-content-hider/aether-comment', {
    title: 'Aether Show Content if User Commented on Post',
    icon: 'no',
    category: 'embed',
    attributes: {
        hide_content : {
            default: '',
            type:   'string',
        },
        replacement : {
            default: '',
            type:   'string',
        },
        min_lenght : {
            default: '',
            min_lenght:   'string',
        },
        max_lenght : {
            default: '',
            max_lenght:   'string',
        },
        anti_spam : {
            default: '',
            anti_spam:   'string',
        },
        link_exceptions : {
            default: '',
            link_exceptions:   'string',
        }
    },
    keywords: ['list', 'posts', 'aether'],
    edit: (function( props ) {
		var hide_content = props.attributes.hide_content;
        var replacement = props.attributes.replacement;
        var min_lenght = props.attributes.min_lenght;
        var max_lenght = props.attributes.max_lenght;
        var anti_spam = props.attributes.anti_spam;
        var link_exceptions = props.attributes.link_exceptions;
		function updateMessage( event ) {
            props.setAttributes( { hide_content: event.target.value} );
		}
        function updateMessage2( event ) {
            props.setAttributes( { replacement: event.target.value} );
		}
        function updateMessage3( event ) {
            props.setAttributes( { min_lenght: event.target.value} );
		}
        function updateMessage4( event ) {
            props.setAttributes( { max_lenght: event.target.value} );
		}
        function updateMessage5( event ) {
            props.setAttributes( { anti_spam: event.target.value} );
		}
        function updateMessage6( event ) {
            props.setAttributes( { link_exceptions: event.target.value} );
		}
		return gcel(
			'div', 
			{ className: 'coderevolution_gutenberg_div' },
            gcel(
				'h4',
				{ className: 'coderevolution_gutenberg_title' },
                'Aether Show Content if User Commented on Post ',
                gcel(
                    'div', 
                    {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                    ,
                    gcel(
                        'div', 
                        {className:'bws_hidden_help_text'},
                        'This block is used to restrict content if user did not comment on post.'
                    )
                )
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Content to Hide: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Input the content to hide.'
                )
            ),
			gcel(
				'textarea',
				{ rows:1,placeholder:'Input the content to hide', value: hide_content, onChange: updateMessage, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Replacement Content: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Input the replacement content, if the above content is hidden.'
                )
            ),
			gcel(
				'textarea',
				{ rows:1,placeholder:'Replacement', value: replacement, onChange: updateMessage2, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Comment Min Lenght: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Input a min lenght for required comment.'
                )
            ),
			gcel(
				'input',
				{ tyep:'number',min:1,placeholder:'Min lenght', value: min_lenght, onChange: updateMessage3, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Comment Max Lenght: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Input a max lenght for required comment.'
                )
            ),
			gcel(
				'input',
				{ tyep:'number',min:1,placeholder:'max lenght', value: max_lenght, onChange: updateMessage4, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Enable Spam Filtering: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select if you wish to enable spam filtering.'
                )
            ),
			gcel(
				'select',
				{ value: anti_spam, onChange: updateMessage5, className: 'coderevolution_gutenberg_select' }, 
                gcel(
                    'option',
                    { value: 'no'},
                    'No'
                ),
                gcel(
                    'option',
                    { value: 'yes'},
                    'Yes'
                )
            ),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Comma Separated Link Exception List: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Input a comma separated list of links to allow in the above spam filter.'
                )
            ),
			gcel(
				'textarea',
				{ rows:1,placeholder:'Comma separated link list', value: link_exceptions, onChange: updateMessage6, className: 'coderevolution_gutenberg_input' }
			)
		);
    }),
    save: (function( props ) {
       return null;
    }),
} );