"use strict";
var { registerBlockType } = wp.blocks;
var gcel = wp.element.createElement;

registerBlockType( 'aether-content-hider/aether-country', {
    title: 'Aether Show Content if User Country',
    icon: 'no',
    category: 'embed',
    attributes: {
        hide_content : {
            default: '',
            type:   'string',
        },
        replacement : {
            default: '',
            type:   'string',
        },
        user_countries : {
            default: '',
            min_lenght:   'string',
        }
    },
    keywords: ['list', 'posts', 'aether'],
    edit: (function( props ) {
		var hide_content = props.attributes.hide_content;
        var replacement = props.attributes.replacement;
        var user_countries = props.attributes.user_countries;
		function updateMessage( event ) {
            props.setAttributes( { hide_content: event.target.value} );
		}
        function updateMessage2( event ) {
            props.setAttributes( { replacement: event.target.value} );
		}
        function updateMessage3( event ) {
            props.setAttributes( { user_countries: event.target.value} );
		}
		return gcel(
			'div', 
			{ className: 'coderevolution_gutenberg_div' },
            gcel(
				'h4',
				{ className: 'coderevolution_gutenberg_title' },
                'Aether Show Content if User is from a Country ',
                gcel(
                    'div', 
                    {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                    ,
                    gcel(
                        'div', 
                        {className:'bws_hidden_help_text'},
                        'This block is used to restrict content if user is not from a specific country.'
                    )
                )
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Content to Hide: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Input the content to hide.'
                )
            ),
			gcel(
				'textarea',
				{ rows:1,placeholder:'Input the content to hide', value: hide_content, onChange: updateMessage, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Replacement Content: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Input the replacement content, if the above content is hidden.'
                )
            ),
			gcel(
				'textarea',
				{ rows:1,placeholder:'Replacement', value: replacement, onChange: updateMessage2, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Show Only For These User Countries: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Input a comma separate list of user countries where to show the content. Please enter countries in their 2 letter ISO name.'
                )
            ),
			gcel(
				'textarea',
				{ rows:1,placeholder:'Comma separated user countries list', value: user_countries, onChange: updateMessage3, className: 'coderevolution_gutenberg_input' }
			)
		);
    }),
    save: (function( props ) {
       return null;
    }),
} );