"use strict";
var { registerBlockType } = wp.blocks;
var gcel = wp.element.createElement;

registerBlockType( 'aether-content-hider/aether-time-repeated', {
    title: 'Aether Time Repeated Restrict',
    icon: 'no',
    category: 'embed',
    attributes: {
        hide_content : {
            default: '',
            type:   'string',
        },
        replacement : {
            default: '',
            type:   'string',
        },
        type : {
            default: 'monthly',
            type:   'string',
        },
        ontime : {
            default: '00:00:00',
            type:   'string',
        },
        offtime : {
            default: '23:59:59',
            type:   'string',
        },
        onday : {
            default: '',
            type:   'string',
        },
        offday : {
            default: '',
            type:   'string',
        },
        ondate : {
            default: '',
            type:   'string',
        },
        offdate : {
            default: '',
            type:   'string',
        },
        onmonth : {
            default: '',
            type:   'string',
        },
        offmonth : {
            default: '',
            type:   'string',
        }
    },
    keywords: ['list', 'posts', 'aether'],
    edit: (function( props ) {
		var hide_content = props.attributes.hide_content;
        var replacement = props.attributes.replacement;
        var type = props.attributes.type;
        var ontime = props.attributes.ontime;
        var offtime = props.attributes.offtime;
        var onday = props.attributes.onday;
        var offday = props.attributes.offday;
        var ondate = props.attributes.ondate;
        var offdate = props.attributes.offdate;
        var onmonth = props.attributes.onmonth;
        var offmonth = props.attributes.offmonth;
		function updateMessage( event ) {
            props.setAttributes( { hide_content: event.target.value} );
		}
        function updateMessage2( event ) {
            props.setAttributes( { replacement: event.target.value} );
		}
        function updateMessage3( event ) {
            props.setAttributes( { type: event.target.value} );
		}
        function updateMessage4( event ) {
            props.setAttributes( { ontime: event.target.value} );
		}
        function updateMessage5( event ) {
            props.setAttributes( { offtime: event.target.value} );
		}
        function updateMessage6( event ) {
            props.setAttributes( { onday: event.target.value} );
		}
        function updateMessage7( event ) {
            props.setAttributes( { offday: event.target.value} );
		}
        function updateMessage8( event ) {
            props.setAttributes( { ondate: event.target.value} );
		}
        function updateMessage9( event ) {
            props.setAttributes( { offdate: event.target.value} );
		}
        function updateMessage10( event ) {
            props.setAttributes( { onmonth: event.target.value} );
		}
        function updateMessage11( event ) {
            props.setAttributes( { offmonth: event.target.value} );
		}
		return gcel(
			'div', 
			{ className: 'coderevolution_gutenberg_div' },
            gcel(
				'h4',
				{ className: 'coderevolution_gutenberg_title' },
                'Aether Time Repeated Restrict ',
                gcel(
                    'div', 
                    {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                    ,
                    gcel(
                        'div', 
                        {className:'bws_hidden_help_text'},
                        'This block is used to restrict content repeatedly by time.'
                    )
                )
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Content to Hide: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Input the content to hide.'
                )
            ),
			gcel(
				'textarea',
				{ rows:1,placeholder:'Input the content to hide', value: hide_content, onChange: updateMessage, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Replacement Content: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Input the replacement content, if the above content is hidden.'
                )
            ),
			gcel(
				'textarea',
				{ rows:1,placeholder:'Replacement', value: replacement, onChange: updateMessage2, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Repeat Type: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the type of repeating.'
                )
            ),
			gcel(
				'select',
				{ value: type, onChange: updateMessage3, className: 'coderevolution_gutenberg_select' }, 
                gcel(
                    'option',
                    { value: 'yearly'},
                    'yearly'
                ),
                gcel(
                    'option',
                    { value: 'monthly'},
                    'monthly'
                ),
                gcel(
                    'option',
                    { value: 'weekly'},
                    'weekly'
                ),
                gcel(
                    'option',
                    { value: 'daily'},
                    'daily'
                )
            ),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Start Time: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the stating hours for the hiding.'
                )
            ),
			gcel(
				'textarea',
				{ rows:1,placeholder:'00:00:00', value: ontime, onChange: updateMessage4, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'End Time: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the ending hours for the hiding.'
                )
            ),
			gcel(
				'textarea',
				{ rows:1,placeholder:'23:59:59', value: offtime, onChange: updateMessage5, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Start Day: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the stating day for the hiding. Allowed values are normal week day names.'
                )
            ),
			gcel(
				'textarea',
				{ rows:1,placeholder:'Start day', value: onday, onChange: updateMessage6, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'End Day: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the ending day for the hiding. Allowed values are normal week day names.'
                )
            ),
			gcel(
				'textarea',
				{ rows:1,placeholder:'End day', value: offday, onChange: updateMessage7, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Start Date: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the stating date for the hiding.'
                )
            ),
			gcel(
				'textarea',
				{ rows:1,placeholder:'Start date', value: ondate, onChange: updateMessage8, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'End Date: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the ending date for the hiding.'
                )
            ),
			gcel(
				'textarea',
				{ rows:1,placeholder:'End date', value: offdate, onChange: updateMessage9, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'Start Month: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the stating month for the hiding.'
                )
            ),
			gcel(
				'textarea',
				{ rows:1,placeholder:'Start month', value: onmonth, onChange: updateMessage10, className: 'coderevolution_gutenberg_input' }
			),
            gcel(
				'br'
			),
            gcel(
				'label',
				{ className: 'coderevolution_gutenberg_label' },
                'End Month: '
			),
            gcel(
                'div', 
                {className:'bws_help_box bws_help_box_right dashicons dashicons-editor-help'}
                ,
                gcel(
                    'div', 
                    {className:'bws_hidden_help_text'},
                    'Select the ending month for the hiding.'
                )
            ),
			gcel(
				'textarea',
				{ rows:1,placeholder:'End month', value: offmonth, onChange: updateMessage11, className: 'coderevolution_gutenberg_input' }
			)
		);
    }),
    save: (function( props ) {
       return null;
    }),
} );